A newer version of this documentation is available.

View Latest

Scopes and Collections API

  • reference

Couchbase Server Enterprise Edition 7.6 reaches End of Life on March 31, 2027. Please upgrade to 8.0.x by following Upgrade, or contact Couchbase Support.

Scopes and collections can be managed with the REST API.

APIs in this Section

The REST API allows buckets to be created, edited, flushed, and deleted. For a list of all methods and URIs covered in this section, see the table provided below.

HTTP Method URI Documented at

POST

/pools/default/buckets/<bucket_name>/scopes

Creating a Scope

POST

/pools/default/buckets/<bucket_name>/scopes/<scope_name>/collections

Creating a Collection

GET

/pools/default/buckets/<bucket_name>/scopes/

Listing Scopes and Collections

DELETE

/pools/default/buckets/<bucket_name>/scopes/<scope_name>/collections/<collection_name>

Dropping a Collection

DELETE

/pools/default/buckets/<bucket_name>/scopes/<scope_name>

Dropping a Scope